/*

                                   _JNJ`                        
                               .JNMH`                           
                              JMMF`       `;.                   
                            .NMM)          `MN.                 
                            MMM)            (MML                
                           (MMM`             MMML               
                     M  I  D  N  I  G  H  T    C  o  D  E       
                           (NMMF             MHNH               
                            NMML            .MMM                
                             NMML          .NMH                 
                              4MMNL       .#F                   
                               `4HNNL_   `                      
                                   `"""`                        

                          Copyright (C) 2004-2007
       "Ian (Larry) Latter" <ian dot latter at midnightcode dot org>

    Midnight Code is a registered trademark of Ian Latter.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, and mirrored at the Midnight Code web
    site; as at version 2 of the License only.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    (version 2) along with this program; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA, or see http://midnightcode.org/gplv2.txt

*/


/* midnightcode-random.h :: Midnight Code random library		*/


#ifndef __MIDNIGHTCODE_RANDOM_H
#define __MIDNIGHTCODE_RANDOM_H 1


int midnightcode_random_init(unsigned int seed);
unsigned int midnightcode_random_randmax(unsigned int max);
unsigned int midnightcode_random_seed(int seed_opt);
int midnightcode_random_ent_complex(unsigned int * table, int len,
                                        unsigned int seed);
unsigned int midnightcode_random_gen_basic(unsigned int * buffer, int len,
                                        unsigned int useed);
unsigned int midnightcode_random_gen_complex(unsigned int * buffer, int len,
                                        unsigned int useed);


#endif

