/*

                                   _JNJ`                        
                               .JNMH`                           
                              JMMF`       `;.                   
                            .NMM)          `MN.                 
                            MMM)            (MML                
                           (MMM`             MMML               
                     M  I  D  N  I  G  H  T    C  o  D  E       
                           (NMMF             MHNH               
                            NMML            .MMM                
                             NMML          .NMH                 
                              4MMNL       .#F                   
                               `4HNNL_   `                      
                                   `"""`                        

                          Copyright (C) 2004-2007
       "Ian (Larry) Latter" <ian dot latter at midnightcode dot org>

    Midnight Code is a registered trademark of Ian Latter.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, and mirrored at the Midnight Code web
    site; as at version 2 of the License only.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    (version 2) along with this program; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA, or see http://midnightcode.org/gplv2.txt

*/


/* midnightcode-tftp.h :: Midnight Code TFTP library			*/


#ifndef __MIDNIGHTCODE_TFTP_H
#define __MIDNIGHTCODE_TFTP_H 1


#define MIDNIGHTCODE_TFTP_TIMEOUT 2
#define MIDNIGHTCODE_TFTP_RETRIES 3
#define MIDNIGHTCODE_TFTP_POLL_TIME 500

#define MIDNIGHTCODE_TFTP_CONTROL_PORT 69
#define MIDNIGHTCODE_TFTP_DATA_PORT 30000

enum midnightcode_tftp_xfer_t
{
  MIDNIGHTCODE_TFTP_XFER_UNKNOWN = 0,
  MIDNIGHTCODE_TFTP_XFER_ASCII = 1,
  MIDNIGHTCODE_TFTP_XFER_BINARY = 2
};


int midnightcode_tftp_get(char ** buffer, int * buffer_size,
                        char * target_host, int target_port,
                        char * file_path);


#endif
