/*

                                   _JNJ`                        
                               .JNMH`                           
                              JMMF`       `;.                   
                            .NMM)          `MN.                 
                            MMM)            (MML                
                           (MMM`             MMML               
                     M  I  D  N  I  G  H  T    C  o  D  E       
                           (NMMF             MHNH               
                            NMML            .MMM                
                             NMML          .NMH                 
                              4MMNL       .#F                   
                               `4HNNL_   `                      
                                   `"""`                        

                          Copyright (C) 2004-2007
       "Ian (Larry) Latter" <ian dot latter at midnightcode dot org>

    Midnight Code is a registered trademark of Ian Latter.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, and mirrored at the Midnight Code web
    site; as at version 2 of the License only.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    (version 2) along with this program; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA, or see http://midnightcode.org/gplv2.txt

*/


/* midnightcode-colour.h :: Midnight Code ANSI colour sequences		*/


#ifndef __MIDNIGHTCODE_COLOUR_H
#define __MIDNIGHTCODE_COLOUR_H 1


#define MIDNIGHTCODE_COLOUR_LC		"\033["		/* lc: Left Code */
#define MIDNIGHTCODE_COLOUR_DF		"0"		/* df: Defaul Seq */
#define MIDNIGHTCODE_COLOUR_RC		"m"		/* rc: Right Code */

#define MIDNIGHTCODE_COLOUR_30		"30"		/* black */
#define MIDNIGHTCODE_COLOUR_31		"31"		/* red */
#define MIDNIGHTCODE_COLOUR_32		"32"		/* green */
#define MIDNIGHTCODE_COLOUR_33		"33"		/* yellow */
#define MIDNIGHTCODE_COLOUR_34		"34"		/* blue */
#define MIDNIGHTCODE_COLOUR_35		"35"		/* magenta */
#define MIDNIGHTCODE_COLOUR_36		"36"		/* light blue */
#define MIDNIGHTCODE_COLOUR_37		"37"		/* grey */

#define MIDNIGHTCODE_COLOUR_130		"01;30"		/* dark grey */
#define MIDNIGHTCODE_COLOUR_131		"01;31"		/* bright red */
#define MIDNIGHTCODE_COLOUR_132		"01;32"		/* bright green */
#define MIDNIGHTCODE_COLOUR_133		"01;33"		/* bright yellow */
#define MIDNIGHTCODE_COLOUR_134		"01;34"		/* bright blue */
#define MIDNIGHTCODE_COLOUR_135		"01;35"		/* bright magenta */
#define MIDNIGHTCODE_COLOUR_136		"01;36"		/* bright light blue */
#define MIDNIGHTCODE_COLOUR_137		"01;37"		/* white */

#define MIDNIGHTCODE_COLOUR_NORMAL	"\033[0m"	/* black */

#define MIDNIGHTCODE_COLOUR_BLACK	"\033[30m"	/* black */
#define MIDNIGHTCODE_COLOUR_RED		"\033[31m"	/* red */
#define MIDNIGHTCODE_COLOUR_GREEN	"\033[32m"	/* green */
#define MIDNIGHTCODE_COLOUR_YELLOW	"\033[33m"	/* yellow */
#define MIDNIGHTCODE_COLOUR_BLUE	"\033[34m"	/* blue */
#define MIDNIGHTCODE_COLOUR_MAGENTA	"\033[35m"	/* magenta */
#define MIDNIGHTCODE_COLOUR_LT_BLUE	"\033[36m"	/* light blue */
#define MIDNIGHTCODE_COLOUR_GREY	"\033[37m"	/* grey */

#define MIDNIGHTCODE_COLOUR_DK_GREY	"\033[01;30m"	/* dark grey */
#define MIDNIGHTCODE_COLOUR_BT_RED	"\033[01;31m"	/* bright red */
#define MIDNIGHTCODE_COLOUR_BT_GREEN	"\033[01;32m"	/* bright green */
#define MIDNIGHTCODE_COLOUR_BT_YELLOW	"\033[01;33m"	/* bright yellow */
#define MIDNIGHTCODE_COLOUR_BT_BLUE	"\033[01;34m"	/* bright blue */
#define MIDNIGHTCODE_COLOUR_BT_MAGENTA	"\033[01;35m"	/* bright magenta */
#define MIDNIGHTCODE_COLOUR_BT_LT_BLUE	"\033[01;36m"	/* bright light blue */
#define MIDNIGHTCODE_COLOUR_WHITE	"\033[01;37m"	/* white */

enum midnightcode_colour_style_t
{
  MIDNIGHTCODE_COLOUR_STYLE_ASCII = 1,
  MIDNIGHTCODE_COLOUR_STYLE_LURKING_DARKNESS,
  MIDNIGHTCODE_COLOUR_STYLE_GHOSTING_TV,
  MIDNIGHTCODE_COLOUR_STYLE_BLOOD_MOON,
  MIDNIGHTCODE_COLOUR_STYLE_SHARP_WINE
};


#endif

